function x = discreteRnd(p)

% Input:
%   p: k dimensional probability vector
%   n: number of samples
% Ouput:
%   x: 1 x n generated samples x~Mul(p)
r = rand(1);
p = cumsum(p(:));
[~,x] = histc(r,[0;p/p(end)]); %p/p(end) is the normalized prob
